> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/tags/delete/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Delete a tag permanently POST https://mandrillapp.com/api/1.4/tags/delete Content-Type: application/json Deletes a tag permanently. Deleting a tag removes the tag from any messages that have been sent, and also deletes the tag's stats. There is no way to undo this operation, so use it carefully. Reference: https://mailchimp.com/developer/transactional/api/tags/delete ## Request ### Body (application/json) This endpoint expects a TagsDeleteRequest. - `key` (string, required) — A valid Mandrill API key - `tag` (string, required) — An existing tag name ## Response ### 200 Success - `tag` (string, required) — The name of the tag that was deleted - `sent` (integer, required) — Total number of emails sent with this tag before deletion - `hard_bounces` (integer, required) — Total number of hard bounces for emails with this tag before deletion - `soft_bounces` (integer, required) — Total number of soft bounces for emails with this tag before deletion - `rejects` (integer, required) — Total number of rejected emails with this tag before deletion - `complaints` (integer, required) — Total number of spam complaints for emails with this tag before deletion - `unsubs` (integer, required) — Total number of unsubscribe requests for emails with this tag before deletion - `opens` (integer, required) — Total number of times emails with this tag were opened before deletion - `clicks` (integer, required) — Total number of tracked URLs clicked in emails with this tag before deletion - `unique_opens` (integer, required) — Total number of unique opens for emails with this tag before deletion - `unique_clicks` (integer, required) — Total number of unique clicks for emails with this tag before deletion - `reputation` (integer, required) — Final reputation score of the tag before deletion ## Errors ### 400 Bad Request Error Invalid tag name - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig", "tag": "example-tag" } ``` **Response** ```json { "tag": "example-tag", "sent": 1, "hard_bounces": 1, "soft_bounces": 1, "rejects": 1, "complaints": 1, "unsubs": 1, "opens": 1, "clicks": 1, "unique_opens": 1, "unique_clicks": 1, "reputation": 1 } ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/tags/delete" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig", "tag": "example-tag" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/tags/delete'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","tag":"example-tag"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/tags/delete" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"tag\": \"example-tag\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/tags/delete") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"tag\": \"example-tag\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/tags/delete") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"tag\": \"example-tag\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/tags/delete', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig", "tag": "example-tag" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/tags/delete"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"tag\": \"example-tag\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "key": "ONzNrsmbtNXoIKyfPmjnig", "tag": "example-tag" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/tags/delete")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.